IBMSslAdapterServerSocketFactory (Mule ESB 2.2.1 API)
Keywords: org.mule.module.management.agent.IBMSslAdapterServerSocketFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.management.agent
Class IBMSslAdapterServerSocketFactory

    java.lang.Object
      org.mule.module.management.agent.IBMSslAdapterServerSocketFactory

All Implemented Interfaces:
  mx4j.tools.adaptor.AdaptorServerSocketFactory, mx4j.tools.adaptor.ssl.SSLAdaptorServerSocketFactoryMBean

    public class IBMSslAdapterServerSocketFactory

extends Object
implements mx4j.tools.adaptor.ssl.SSLAdaptorServerSocketFactoryMBean

This MBean creates SSLServerSocket instances.

It can be configured to use a specific keystore and SSL protocol version to create SSLServerSockets that will use the keystore information to encrypt data.

A keystore can be created with this command:

      keytool -genkey -v -keystore store.key -storepass storepwd -keypass keypwd -dname "CN=Simone Bordet, OU=Project Administrator, O=MX4J, L=Torino, S=TO, C=IT" -validity 365

or with this minimal command (that will prompt you for further information):

      keytool -genkey -keystore store.key

A keystore may contains more than one entry, but only the first entry will be used for encryption, no matter which is the alias for that entry.

Following the first example of generation of the keystore, this MBean must be instantiated and then setup by invoking the following methods:

- `setKeyStoreName(java.lang.String)`("store.key");
- `setKeyStorePassword(java.lang.String)`("storepwd");
- `setKeyManagerPassword(java.lang.String)`("keypwd");

before `createServerSocket(int, int, java.lang.String)` is called.

Constructor Summary
`IBMSslAdapterServerSocketFactory()`

Method Summary
`ServerSocket` | `createServerSocket(int port, int backlog, String host)` Returns a SSLServerSocket on the given port.
`void` | `setKeyManagerAlgorithm(String algorithm)`
`void` | `setKeyManagerPassword(String password)`
`void` | `setKeyStoreName(String name)`
`void` | `setKeyStorePassword(String password)`
`void` | `setKeyStoreType(String keyStoreType)`
`void` | `setSSLProtocol(String protocol)`
`void` | `setTrustManagerAlgorithm(String algorithm)`
`void` | `setTrustStoreName(String name)`
`void` | `setTrustStorePassword(String password)`
`void` | `setTrustStoreType(String trustStoreType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IBMSslAdapterServerSocketFactory

    public IBMSslAdapterServerSocketFactory()

Method Detail

### setKeyStoreType

    public void setKeyStoreType(String keyStoreType)

  Specified by:
    `setKeyStoreType` in interface `mx4j.tools.adaptor.ssl.SSLAdaptorServerSocketFactoryMBean`

### setTrustStoreType

    public void setTrustStoreType(String trustStoreType)

  Specified by:
    `setTrustStoreType` in interface `mx4j.tools.adaptor.ssl.SSLAdaptorServerSocketFactoryMBean`

### setKeyStoreName

    public void setKeyStoreName(String name)

  Specified by:
    `setKeyStoreName` in interface `mx4j.tools.adaptor.ssl.SSLAdaptorServerSocketFactoryMBean`

### setTrustStoreName

    public void setTrustStoreName(String name)

  Specified by:
    `setTrustStoreName` in interface `mx4j.tools.adaptor.ssl.SSLAdaptorServerSocketFactoryMBean`

### setKeyStorePassword

    public void setKeyStorePassword(String password)

  Specified by:
    `setKeyStorePassword` in interface `mx4j.tools.adaptor.ssl.SSLAdaptorServerSocketFactoryMBean`

### setTrustStorePassword

    public void setTrustStorePassword(String password)

  Specified by:
    `setTrustStorePassword` in interface `mx4j.tools.adaptor.ssl.SSLAdaptorServerSocketFactoryMBean`

### setKeyManagerAlgorithm

    public void setKeyManagerAlgorithm(String algorithm)

  Specified by:
    `setKeyManagerAlgorithm` in interface `mx4j.tools.adaptor.ssl.SSLAdaptorServerSocketFactoryMBean`

### setTrustManagerAlgorithm

    public void setTrustManagerAlgorithm(String algorithm)

  Specified by:
    `setTrustManagerAlgorithm` in interface `mx4j.tools.adaptor.ssl.SSLAdaptorServerSocketFactoryMBean`

### setKeyManagerPassword

    public void setKeyManagerPassword(String password)

  Specified by:
    `setKeyManagerPassword` in interface `mx4j.tools.adaptor.ssl.SSLAdaptorServerSocketFactoryMBean`

### setSSLProtocol

    public void setSSLProtocol(String protocol)

  Specified by:
    `setSSLProtocol` in interface `mx4j.tools.adaptor.ssl.SSLAdaptorServerSocketFactoryMBean`

### createServerSocket

    public ServerSocket createServerSocket(int port,
                                           int backlog,
                                           String host)
                                    throws IOException

  Returns a SSLServerSocket on the given port.

  Specified by:
    `createServerSocket` in interface `mx4j.tools.adaptor.AdaptorServerSocketFactory`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.